function serialize(t)
	local file = assert(io.open(savepath,"w"));
	file:write("{\n");
	for k,v in pairs(t) do
		file:write("  [");
		serialize(k);
		file:write("] = ");
		serialize(v);
		file:write(",\n")
	end;
	file:write("}\n");
	
	file:close();
end;


































-- Save
function Save(pfad,Array)
	file = io.open (pfad,"w") 

 for i=1, table.getn(Array) do
  file:write(tostring(Array[i]).."|") 
 end

 file:close() 
end -- Save


-- Load
function Load(flags_stored)
	local temp={}
 
file = io.open (pfad,"r") 
if file==nil then 
return(nil); end;
content = file:read("*a")
file:close() 

 for i=1,string.len(content) do
  char=(string.char(string.byte(content,i) ))
  
  if char~="|" then 
    text=text..char
  else
   temp[n]=tonumber(text)
   n=n+1
   text=""
  end
 
 end

 return(temp)
end -- Load
